Skip to main content
`Ctrl`+`K`

# DMClearFields

Remove all fields from the `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMClearFields(DM dm)

Logically Collective

## Input Parameter

- dm - The `DM`

## See Also

DM Basics, `DM`, `DMGetNumFields()`, `DMSetNumFields()`, `DMSetField()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/impls/plex/tutorials/ex15.c
src/dm/impls/plex/tutorials/ex16.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages